## gbp-pull

gbp-pull — Safely update a repository from remote

## Synopsis

`gbp pull` [`--version`] [`--help`] [`--verbose`] [`--color=`[auto|on|off]] [`--color-scheme=``COLOR_SCHEME`] [`--force`] [`--all`] [`--redo-pq`] [`--[no-]pristine-tar`] [`--ignore-branch`] [`--debian-branch=``branch_name`] [`--upstream-branch=``branch_name`] [`--depth=``depth`] [`repository`]

## DESCRIPTION

gbp pull updates the debian, upstream and pristine-tar branches from remote repositories in one go. It checks if the update is safe (would result in a fast-forward merge) and aborts otherwise.

If given on the command line the changes are fetched from the given repository otherwise the default for `repository` is read from the `remote` configuration for each branch (in git's configuration).

## OPTIONS

`--version` | Print version of the program, i.e. version of the git-buildpackage suite
`-v`, `--verbose` | Verbose execution
`-h`, `--help` | Print help and exit
`--color=`[auto|on|off] | Whether to use colored output.

`--color-scheme=``COLOR_SCHEME`

Colors to use in output (when color is enabled). The format for COLOR_SCHEME is '<debug>:<info>:<warning>:<error>'. Numerical values and color names are accepted, empty fields imply the default color. For example, `--git-color-scheme=``'cyan:34::'` would show debug messages in cyan, info messages in blue and other messages in default (i.e. warning and error messages in red).

`--force` | Force a branch update even if this results in a non fast forward update. Forcing a branch update makes you lose your modifications.
`--all` | Update all remote-tracking branches that have identical name in the remote repository.
`--redo-pq` | Also rebuild the corresponding patch-queue using gbp pq. This drops the patch-queue branch if it exists.
`--ignore-branch` | Don't care if we're on a branch or in detached head state.
`--debian-branch`=`branch_name` | The branch in the Git repository the Debian package is being developed on, default is `master`.
`--upstream-branch`=`branch_name` | The branch in the Git™ repository the upstream sources are put onto. Default is `upstream`.
`--depth`=`depth` | Git history depth, for deepening shallow git clones.
`--pristine-tar` | Whether to update the pristine-tar branch too.

## EXIT CODES

When gbp pull finishes, it indicates success or failure with its exit code:

`0` | Success.
`1` | An error occurred during the pull, see the printed error message for details.
`2` | At least one branch couldn't be fast forwarded.

## CONFIGURATION FILES

Several `gbp.conf` files are parsed to set defaults for the above command-line arguments. See the gbp.conf(5) manpage for details.

## SEE ALSO

gbp-buildpackage(1), gbp-clone(1), gbp-pq(1), gbp.conf(5)

## AUTHOR

Guido Günther `<agx@sigxcpu.org>`